Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455390 - system-install-packages points to non-existing /usr/bin/gpk-install-file
Summary: system-install-packages points to non-existing /usr/bin/gpk-install-file
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 10:43 UTC by Pierre Ossman
Modified: 2008-08-18 08:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 08:29:21 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2008-07-15 10:43:04 UTC
system-install-packages fails with the following traceback:

Traceback (most recent call last):
  File "/usr/bin/system-install-packages", line 32, in <module>
    os.execv("/usr/bin/gpk-install-file", ["gpk-install-file"] + specified)
OSError: [Errno 2] No such file or directory

The executable is called gpk-install-local-file.

Comment 1 Fedora Update System 2008-07-15 12:58:25 UTC
gnome-packagekit-0.2.3-6.fc9 has been submitted as an update for Fedora 9

Comment 2 Fedora Update System 2008-07-17 14:15:19 UTC
gnome-packagekit-0.2.3-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6509

Comment 3 David 2008-07-20 09:42:34 UTC
error: Failed dependencies: libpackagekit.so.3 is needed by
gnome-packagekit-0.2.3-6.fc9.i386 error: Failed dependencies: libpackagekit.so.3
is needed by (installed) gnome-packagekit-0.2.3-4.fc9.i386 

Comment 4 Richard Hughes 2008-08-18 08:29:21 UTC
Can you try doing:

yum update PackageKit gnome-packagekit

and re-open this bug if that doesn't sort things. Thanks.


Note You need to log in before you can comment on or make changes to this bug.